Extending Qt Creator Manual | IBuildConfigurationFactory

Extending Qt Creator Manual 4.5.2

# IBuildConfigurationFactory Class

(ProjectExplorer::IBuildConfigurationFactory)

- List of all members, including inherited members

## Public Functions

| IBuildConfigurationFactory(QObject *parent = nullptr)
| ~IBuildConfigurationFactory() override
virtual QList<BuildInfo *> | availableBuilds(const Target *parent) const = 0
virtual QList<BuildInfo *> | availableSetups(const Kit *k, const QString &projectPath) const = 0
virtual bool | canClone(const Target *parent, BuildConfiguration *product) const = 0
virtual bool | canRestore(const Target *parent, const QVariantMap &map) const = 0
virtual BuildConfiguration * | clone(Target *parent, BuildConfiguration *product) = 0
virtual BuildConfiguration * | create(Target *parent, const BuildInfo *info) const = 0
virtual int | priority(const Target *parent) const = 0
virtual int | priority(const Kit *k, const QString &projectPath) const = 0
virtual BuildConfiguration * | restore(Target *parent, const QVariantMap &map) = 0

## Signals

void | availableCreationIdsChanged()

## Static Public Members

IBuildConfigurationFactory * | find(Target *parent, const QVariantMap &map)
IBuildConfigurationFactory * | find(const Kit *k, const QString &projectPath)
IBuildConfigurationFactory * | find(Target *parent)
IBuildConfigurationFactory * | find(Target *parent, BuildConfiguration *bc)

## Member Function Documentation

### IBuildConfigurationFactory::IBuildConfigurationFactory(QObject *parent = nullptr)

Default constructs an instance of IBuildConfigurationFactory.

### IBuildConfigurationFactory::~IBuildConfigurationFactory()

Destroys the instance of IBuildConfigurationFactory.

### `[pure virtual]` QList<BuildInfo *> IBuildConfigurationFactory::availableBuilds(const Target *parent) const

### `[signal]` void IBuildConfigurationFactory::availableCreationIdsChanged()

### `[pure virtual]` QList<BuildInfo *> IBuildConfigurationFactory::availableSetups(const Kit *k, const QString &projectPath) const

### `[pure virtual]` bool IBuildConfigurationFactory::canClone(const Target *parent, BuildConfiguration *product) const

### `[pure virtual]` bool IBuildConfigurationFactory::canRestore(const Target *parent, const QVariantMap &map) const

### `[pure virtual]` BuildConfiguration *IBuildConfigurationFactory::clone(Target *parent, BuildConfiguration *product)

### `[pure virtual]` BuildConfiguration *IBuildConfigurationFactory::create(Target *parent, const BuildInfo *info) const

### `[static]` IBuildConfigurationFactory *IBuildConfigurationFactory::find(Target *parent, const QVariantMap &map)

### `[static]` IBuildConfigurationFactory *IBuildConfigurationFactory::find(const Kit *k, const QString &projectPath)

### `[static]` IBuildConfigurationFactory *IBuildConfigurationFactory::find(Target *parent)

### `[static]` IBuildConfigurationFactory *IBuildConfigurationFactory::find(Target *parent, BuildConfiguration *bc)

### `[pure virtual]` int IBuildConfigurationFactory::priority(const Target *parent) const

### `[pure virtual]` int IBuildConfigurationFactory::priority(const Kit *k, const QString &projectPath) const

### `[pure virtual]` BuildConfiguration *IBuildConfigurationFactory::restore(Target *parent, const QVariantMap &map)